Subject: Re: ddclient: file ownership error

From: David Restall <[email-masked]>
Date: Mon, 13 Oct 2025 08:09:31 +0100

Hi Wolfgang,

> David Restall wrote:
> 
> > Have you tried changing the permissions on ddclient.conf :-
> >
> > chmod 400 /etc/ddclient/ddclient.conf
> >
> >
> 
> Yes, I tried that, but it brought no changes.

Oh well, it was a long shot :-)

I don't use ddclient (never heard of it until you posted here) :-)

I think, after a bit of testing it's an issue that can be ignored or
mitigated by changing the ownership of ddclient.conf.

I had a go at installing it on my alpine box, it went on cleanly with a
couple of dependencies.  It also created a ddclient user in /etc/passwd
however /etc/ddclient looks like this :-

OBFUSCATED:/etc/ddclient# ls -al /etc/ddclient/
total 20
drwxr-xr-x  2 ddclient ddclient  4096 Oct 13 07:45 .
drwxr-xr-x 50 root     root      4096 Oct 13 07:45 ..
-rw-------  1 root     root     10224 Nov 24  2023 ddclient.conf
OBFUSCATED:/etc/ddclient# 

note that ddclient.conf is owned by root when installed.

When I run your command :-

OBFUSCATED:/etc/ddclient# ddclient -daemon=0 -debug -verbose -noquiet
=== opt ====
opt{cache}                           : <undefined>
opt{cmd}                             : <undefined>
opt{cmd-skip}                        : <undefined>
...
globals{syslog}                      : 1
globals{verbose}                     : 1
=== config ====
=== cache ====
OBFUSCATED:/etc/ddclient# 

It all seems to work fine.

I changed ownership of /etc/ddclient.conf :-

OBFUSCATED:/etc/ddclient# chown ddclient:ddclient ddclient.conf 
OBFUSCATED:/etc/ddclient# ls -al
total 20
drwxr-xr-x  2 ddclient ddclient  4096 Oct 13 07:45 .
drwxr-xr-x 50 root     root      4096 Oct 13 07:45 ..
-rw-------  1 ddclient ddclient 10224 Nov 24  2023 ddclient.conf
OBFUSCATED:/etc/ddclient# ddclient -daemon=0 -debug -verbose -noquiet
WARNING:  file /etc/ddclient/ddclient.conf: file /etc/ddclient/ddclient.conf should be owned only by ddclient or not be writable.
WARNING:  file /etc/ddclient/ddclient.conf: file /etc/ddclient/ddclient.conf should be owned only by ddclient or not be writable.
=== opt ====
opt{cache}                           : <undefined>
opt{cmd}                             : <undefined>
opt{cmd-skip}                        : <undefined>
...
globals{syslog}                      : 1
globals{verbose}                     : 1
=== config ====
=== cache ====

so it seems that the warning is only issued if the file is owned by the ddclient user.

I also got an email with the warning in :-) :-

--------------------
From [email-masked] Mon Oct 13 07:52:32 2025
To: [email-masked]
Subject: status report from ddclient@OBFUSCATED
Message-Id: <[email-masked]>
From: root <[email-masked]>
Date: Mon, 13 Oct 2025 07:52:30 +0100
Status: R

WARNING:  file /etc/ddclient/ddclient.conf: file /etc/ddclient/ddclient.conf should be owned only by ddclient or not be writable.
WARNING:  file /etc/ddclient/ddclient.conf: file /etc/ddclient/ddclient.conf should be owned only by ddclient or not be writable.

regards,
   ddclient@OBFUSCATED (version 3.11.2)
--------------------

73

D
lists/alpine/users/2025-10-13.tx       ~alpine/[email-masked]
+----------------------------------------------------------------------------+
| Dave Restall, Computer Anorak, Geek, Cyclist, Radio Amateur, Bodger        |
| M: +44 (0) 7973 831245            Y: G4FCU             E: [email-masked] |
+- QOTD ---------------------------------------------------------------------+
| Talkers are no good doers.                                                 |
|         -- William Shakespeare, "Henry VI"                                 |
+----------------------------------------------------------------------------+